import { html as f } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (p, r, i, o) => {
  for (var e = o > 1 ? void 0 : o ? v(r, i) : r, l = p.length - 1, s; l >= 0; l--)
    (s = p[l]) && (e = (o ? s(r, i, e) : s(e)) || e);
  return o && e && h(r, i, e), e;
};
let t = class extends m {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--microsoftCircleFilled", this.class = "c-pieIcon c-pieIcon--microsoftCircleFilled", this.name = "IconSocialMicrosoftCircleFilled";
  }
  render() {
    return f`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--microsoftCircleFilled"><path fill-rule="evenodd" d="M4.237 2.315A6.781 6.781 0 0 1 8 1.175 6.79 6.79 0 0 1 14.78 8 6.781 6.781 0 1 1 4.237 2.315Zm3.473 5.4H5V5h2.726L7.71 7.715ZM5 11h2.71l.016-2.715H5V11Zm3.274 0H11V8.285H8.274V11Zm0-3.285H11V5H8.274v2.715Z" clip-rule="evenodd"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], t.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = c([
  a("icon-social-microsoft-circle-filled")
], t);
export {
  t as IconSocialMicrosoftCircleFilled
};
